Subject: Re: bug#6132: bug in date: --rfc-3339=TIMESPEC option doesn't print 'T'

From: Eric Blake <[email-masked]>
Date: Fri, 07 May 2010 09:55:35 -0600

On 05/07/2010 07:25 AM, F. Alexander Njemz wrote:
> Hi,
> 
> as evidenced here [1] the slightly ambiguous wording in the RFC 3339 [2]
> seems to be the reason that the date utility using the
> --rfc3339=TIMESPEC switch formats the date with a space instead of a 'T'.
> 
> I was confused as well, so I took the liberty to mail the authors of the
> RFC in question. I attached the reply from Mr. Klyne.
> 
> There is also a patch attached.

Thanks for the report, and also for the patch.  However, I'm reluctant
to create a date format that we cannot then reparse.  So before we apply
this patch, we would first need a patch to gnulib's getdate.y that
allows parsing of an rfc3339 style with a 'T' instead of a space.

-- 
Eric Blake   [email-masked]    +1-801-349-2682
Libvirt virtualization library http://libvirt.org